Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.temporal
Interface Calendar

All Superinterfaces:
  IdentifiedObject, ReferenceSystem, TemporalReferenceSystem

    @UML(identifier="TM_Calendar",
         specification=ISO_19108)
    public interface Calendar

extends TemporalReferenceSystem

A discrete temporal reference system that provides a basis for defining temporal position to a resolution of one day.

Field Summary

Fields inherited from interface ReferenceSystem
`DOMAIN_OF_VALIDITY_KEY, SCOPE_KEY, VALID_AREA_KEY`

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`JulianDate` | `dateTrans(CalendarDate date, ClockTime time)` Converts a date in this calendar to a julian date.
`Collection<CalendarEra>` | `getBasis()` links this calendar to the calendar eras that it uses as a reference for dating.
`Clock` | `getClock()` Links this calendar to the clock that is used for specifying temporal positions within the smallest calendar interval.
`CalendarDate` | `julTrans(JulianDate julian)` Converts a julian date to a date in this calendar.

Methods inherited from interface TemporalReferenceSystem
`getDomainOfValidity, getName`

Methods inherited from interface ReferenceSystem
`getScope, getValidArea`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getRemarks, toWKT`

Method Detail

### dateTrans

    @UML(identifier="dateTrans",
         obligation=MANDATORY,
         specification=ISO_19108)
    JulianDate dateTrans(CalendarDate date,
                                                                                ClockTime time)

  Converts a date in this calendar to a julian date.

### julTrans

    @UML(identifier="julTrans",
         obligation=MANDATORY,
         specification=ISO_19108)
    CalendarDate julTrans(JulianDate julian)

  Converts a julian date to a date in this calendar.

### getBasis

    @UML(identifier="Basis",
         specification=ISO_19108)
    Collection<CalendarEra> getBasis()

  links this calendar to the calendar eras that it uses as a reference for dating.

  TODO:
    The original version of this class returned `TemporalCalendarEra`, which doesn't exists in the provided sources. I assumed that it was a typo and that the actual class was `CalendarEra`.

### getClock

    @UML(identifier="Resolution",
         specification=ISO_19108)
    Clock getClock()

  Links this calendar to the clock that is used for specifying temporal positions within the smallest calendar interval.

  TODO:
    Method name doesn't match the UML identifier.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.